Liferay.Loader.define("@liferay/analytics-settings-web@5.0.67/js/components/table/__tests__/utils.spec",["module","exports","require","../../../utils/filter","../../../utils/pagination","../utils"],(function(e,i,t){window;var d=t("../../../utils/filter"),l=t("../../../utils/pagination"),s=t("../utils");describe("serializeTableRequestParams",(()=>{it("serialize the table request parameters correctly with default values",(()=>{const e={filter:d.DEFAULT_FILTER,keywords:"keyword",pagination:l.DEFAULT_PAGINATION},i=(0,s.serializeTableRequestParams)(e);expect(i).toEqual("keywords=keyword&page=1&pageSize=20&sort=name:asc")})),it("serialize the table request parameters correctly",(()=>{const e={filter:{type:d.OrderBy.Asc,value:"name"},keywords:"keyword",pagination:{page:1,pageSize:10}},i=(0,s.serializeTableRequestParams)(e);expect(i).toEqual("keywords=keyword&page=1&pageSize=10&sort=name:asc")})),it("serialize the table request parameters correctly with empty values",(()=>{const e={filter:{type:d.OrderBy.Asc,value:""},keywords:"",pagination:{page:0,pageSize:0}},i=(0,s.serializeTableRequestParams)(e);expect(i).toEqual("keywords=&page=0&pageSize=0&sort=:asc")}))})),describe("getOrderBy",(()=>{it("returns the reverse OrderBy value ASC -> DESC",(()=>{expect((0,s.getOrderBy)({type:d.OrderBy.Asc,value:"name"})).toEqual(d.OrderBy.Desc)})),it("returns the reverse OrderBy value DESC -> ASC",(()=>{expect((0,s.getOrderBy)({type:d.OrderBy.Desc,value:"name"})).toEqual(d.OrderBy.Asc)}))})),describe("getOrderBySymbol",(()=>{it("returns OrderBy symbol based on value ASC",(()=>{expect((0,s.getOrderBySymbol)({type:d.OrderBy.Asc,value:"name"})).toEqual("order-list-up")})),it("returns OrderBy symbol based on value DESC",(()=>{expect((0,s.getOrderBySymbol)({type:d.OrderBy.Desc,value:"name"})).toEqual("order-list-down")}))})),describe("getResultsLanguage",(()=>{it("returns results language on singular",(()=>{expect((0,s.getResultsLanguage)(1)).toEqual("x-result-for")})),it("returns results language on plural",(()=>{expect((0,s.getResultsLanguage)(2)).toEqual("x-results-for")}))})),describe("getGlobalChecked",(()=>{it("returns false if there are no items",(()=>{expect((0,s.getGlobalChecked)({})).toBe(!1)})),it("returns false if all items are disabled",(()=>{expect((0,s.getGlobalChecked)({item1:{checked:!1,columns:[],disabled:!0,id:"item1"},item2:{checked:!1,columns:[],disabled:!0,id:"item2"}})).toBe(!1)})),it("returns true if all items are checked",(()=>{expect((0,s.getGlobalChecked)({item1:{checked:!0,columns:[],disabled:!1,id:"item1"},item2:{checked:!0,columns:[],disabled:!1,id:"item2"}})).toBe(!0)})),it("returns false if some items are checked and some are not",(()=>{expect((0,s.getGlobalChecked)({item1:{checked:!0,columns:[],disabled:!1,id:"item1"},item2:{checked:!1,columns:[],disabled:!1,id:"item2"}})).toBe(!1)}))})),describe("updateFormattedItems",(()=>{it("returns items formatted with the checked value updated to true",(()=>{expect((0,s.updateFormattedItems)({123:{checked:!1,columns:[{id:"SiteA",value:"Site A"}],disabled:!1,id:"123"},456:{checked:!1,columns:[{id:"SiteB",value:"Site B"}],disabled:!1,id:"456"},789:{checked:!1,columns:[{id:"SiteC",value:"Site C"}],disabled:!1,id:"789"}},!0)).toEqual({123:{checked:!0,columns:[{id:"SiteA",value:"Site A"}],disabled:!1,id:"123"},456:{checked:!0,columns:[{id:"SiteB",value:"Site B"}],disabled:!1,id:"456"},789:{checked:!0,columns:[{id:"SiteC",value:"Site C"}],disabled:!1,id:"789"}})})),it("returns items formatted with the checked value updated to false",(()=>{expect((0,s.updateFormattedItems)({123:{checked:!0,columns:[{id:"SiteA",value:"Site A"}],disabled:!1,id:"123"},456:{checked:!0,columns:[{id:"SiteB",value:"Site B"}],disabled:!1,id:"456"},789:{checked:!0,columns:[{id:"SiteC",value:"Site C"}],disabled:!1,id:"789"}},!1)).toEqual({123:{checked:!1,columns:[{id:"SiteA",value:"Site A"}],disabled:!1,id:"123"},456:{checked:!1,columns:[{id:"SiteB",value:"Site B"}],disabled:!1,id:"456"},789:{checked:!1,columns:[{id:"SiteC",value:"Site C"}],disabled:!1,id:"789"}})})),it("returns formatted items without changing the checked value if the item is disabled",(()=>{expect((0,s.updateFormattedItems)({123:{checked:!0,columns:[{id:"SiteA",value:"Site A"}],disabled:!1,id:"123"},456:{checked:!0,columns:[{id:"SiteB",value:"Site B"}],disabled:!0,id:"456"},789:{checked:!0,columns:[{id:"SiteC",value:"Site C"}],disabled:!1,id:"789"}},!1)).toEqual({123:{checked:!1,columns:[{id:"SiteA",value:"Site A"}],disabled:!1,id:"123"},456:{checked:!0,columns:[{id:"SiteB",value:"Site B"}],disabled:!0,id:"456"},789:{checked:!1,columns:[{id:"SiteC",value:"Site C"}],disabled:!1,id:"789"}})}))})),describe("formattingItems",(()=>{it("returns formatted items",(()=>{expect((0,s.formattingItems)([{checked:!1,columns:[{id:"SiteA",value:"Site A"}],disabled:!1,id:"123"},{checked:!0,columns:[{id:"SiteB",value:"Site B"}],disabled:!0,id:"456"},{checked:!1,columns:[{id:"SiteC",value:"Site C"}],disabled:!1,id:"789"}])).toEqual({123:{checked:!1,columns:[{id:"SiteA",value:"Site A"}],disabled:!1,id:"123"},456:{checked:!0,columns:[{id:"SiteB",value:"Site B"}],disabled:!0,id:"456"},789:{checked:!1,columns:[{id:"SiteC",value:"Site C"}],disabled:!1,id:"789"}})})),it("returns empty formatted items",(()=>{expect((0,s.formattingItems)([])).toEqual({})}))})),describe("getIds",(()=>{it("returns ids with all checked items",(()=>{expect((0,s.getIds)({123:{checked:!0,columns:[{id:"SiteA",value:"Site A"}],disabled:!1,id:"123"},456:{checked:!0,columns:[{id:"SiteB",value:"Site B"}],disabled:!1,id:"456"},789:{checked:!0,columns:[{id:"SiteC",value:"Site C"}],disabled:!1,id:"789"}},[])).toEqual([123,456,789]),expect((0,s.getIds)({123:{checked:!1,columns:[{id:"SiteA",value:"Site A"}],disabled:!1,id:"123"},456:{checked:!1,columns:[{id:"SiteB",value:"Site B"}],disabled:!1,id:"456"},789:{checked:!0,columns:[{id:"SiteC",value:"Site C"}],disabled:!1,id:"789"}},[])).toEqual([789])})),it("returns ids with all checked items and old ones",(()=>{expect((0,s.getIds)({123:{checked:!0,columns:[{id:"SiteA",value:"Site A"}],disabled:!1,id:"123"},456:{checked:!0,columns:[{id:"SiteB",value:"Site B"}],disabled:!1,id:"456"},789:{checked:!0,columns:[{id:"SiteC",value:"Site C"}],disabled:!1,id:"789"}},[111,222,333,789])).toEqual([111,222,333,789,123,456]),expect((0,s.getIds)({123:{checked:!0,columns:[{id:"SiteA",value:"Site A"}],disabled:!1,id:"123"},456:{checked:!0,columns:[{id:"SiteB",value:"Site B"}],disabled:!1,id:"456"},789:{checked:!0,columns:[{id:"SiteC",value:"Site C"}],disabled:!1,id:"789"}},[111,222,333,123,456])).toEqual([111,222,333,123,456,789])})),it("returns ids with all checked items and not includes unchecked items",(()=>{expect((0,s.getIds)({123:{checked:!1,columns:[{id:"SiteA",value:"Site A"}],disabled:!1,id:"123"},456:{checked:!1,columns:[{id:"SiteB",value:"Site B"}],disabled:!1,id:"456"},789:{checked:!1,columns:[{id:"SiteC",value:"Site C"}],disabled:!1,id:"789"}},[])).toEqual([]),expect((0,s.getIds)({123:{checked:!1,columns:[{id:"SiteA",value:"Site A"}],disabled:!1,id:"123"},456:{checked:!0,columns:[{id:"SiteB",value:"Site B"}],disabled:!1,id:"456"},789:{checked:!1,columns:[{id:"SiteC",value:"Site C"}],disabled:!1,id:"789"}},[])).toEqual([456])})),it("returns ids with all checked items and remove unchecked items",(()=>{expect((0,s.getIds)({123:{checked:!1,columns:[{id:"SiteA",value:"Site A"}],disabled:!1,id:"123"},456:{checked:!1,columns:[{id:"SiteB",value:"Site B"}],disabled:!1,id:"456"},789:{checked:!1,columns:[{id:"SiteC",value:"Site C"}],disabled:!1,id:"789"}},[123,456,789])).toEqual([]),expect((0,s.getIds)({123:{checked:!1,columns:[{id:"SiteA",value:"Site A"}],disabled:!1,id:"123"},456:{checked:!1,columns:[{id:"SiteB",value:"Site B"}],disabled:!1,id:"456"},789:{checked:!1,columns:[{id:"SiteC",value:"Site C"}],disabled:!1,id:"789"}},[111,222,333])).toEqual([111,222,333])}))}))}));
//# sourceMappingURL=utils.spec.js.map